#!/usr/bin/python3.6

import resource, sys
resource.setrlimit(resource.RLIMIT_STACK, (2**29,-1))
sys.setrecursionlimit(10**6)
 
# Fibonacci function
def Fibonacci(n): 
    if n <= 1: 
        return n
    else: 
        return Fibonacci(n-1)+Fibonacci(n-2) 
  
# Faculty function
def Faculty(n):
    factorial = 1
    if n < 0:
        return -1
    elif n == 0:
        return 1
    else:
        for i in range(1, n + 1):
            factorial = factorial*i
        return factorial

# Ackermann function
def Ackermann(m,n):
     if m == 0:
          return (n + 1)
     elif n == 0:
          return Ackermann(m - 1, 1)
     else:
          return Ackermann(m - 1, Ackermann(m, n - 1))

print("Faculty  : ", Faculty(20))
print("Fibonacci: ", Fibonacci(34))
print("Ackermann: ", Ackermann(3, 10))
